Page MenuHomeFreeBSD

Reword port resurections instructions a bit to help people get it right more often.
ClosedPublic

Authored by mat on Mar 4 2015, 2:18 PM.

Details

Reviewers
wblock
oliver
Group Reviewers
Doc Committers

Diff Detail

Repository
rD FreeBSD doc repository - subversion
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

mat retitled this revision from to Reword port resurections instructions a bit to help people get it right more often..
mat updated this object.
mat edited the test plan for this revision. (Show Details)
mat added a reviewer: Doc Committers.
mat added a subscriber: portmgr.

Some more changes to the port resurection technique.

2 things I've found...

en_US.ISO8859-1/articles/committers-guide/article.xml
4021

I would add a sentence stop at the comma here. Otherwise, this whole paragraph consists of only one long sentence. Instead, it would read like this:

It is also possible to specify a date. In that case ... last true commit.

Don't forget to add an extra space after the sentence stop.

4039–4043

If I remember my school english correctly, there is something missing here (*looks to native speakers for help*). I think it should say:

If some files have been added, or were removed during ...

bcr's comments, and add a q/a about merging to the quarterly branches.

oliver edited edge metadata.

I don't want to judge about the grammar as I'm not a native speaker, but what the change tries to say is what I was misunderstood when I struggled while resurrecting a port in the first place.

This revision is now accepted and ready to land.Mar 4 2015, 6:06 PM
mat edited edge metadata.

Add a comment in the ssh config.

This revision now requires review to proceed.Mar 5 2015, 1:40 PM
wblock added inline comments.
en_US.ISO8859-1/articles/committers-guide/article.xml
4023

The meaning of "last true commit" is kind of unclear.

4030–4031

The use of "Perform whatever" is a little weird. How about:

Make the changes necessary to get the port working again.

4030–4031

Needs a comma at the pause, and avoid using "you":

distfiles are no longer available, either volunteer to host the distfiles, or find someone

4041

"appropriately" must be interpreted by the reader. It would be helpful to expand on that, like "to make sure the source control tracking of those files is corrected." (There's probably a better way to say that.)

4671

End the question with a question mark.

4682

This should be "for doing so", but is not really needed:

merged, and respond with the proper procedure.

4686

No comma after "number".

4689

This can be reworded into a smoother sentence with less pauses:

A script is provided to automate merging a specific commit:

4691

Passive->Active: s/It can be/It is/

mat edited edge metadata.

wblock's comments.

This revision is now accepted and ready to land.Mar 6 2015, 1:51 PM